Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services.transform
Interface TransformationSupport

    public interface TransformationSupport

Additional utilities, beyond `PlasticClass`, needed when transforming.

Since:
  5.3

Method Summary
`void` | `addEventHandler(java.lang.String eventType, int minContextValues, java.lang.String operationDescription, ComponentEventHandler handler)` Adds an event handler.
`boolean` | `isRootTransformation()` Returns true if the class being transformed is a root class: it does not inherit from another transformed class, but instead inherits from Object.
`java.lang.Class` | `toClass(java.lang.String typeName)`

Method Detail

### toClass

    java.lang.Class toClass(java.lang.String typeName)

  Parameters:
    `typeName` - Java type name (which may be a primitive type or array, or fully qualified class name)
  Returns:
    corresponding Java Class

### isRootTransformation

    boolean isRootTransformation()

  Returns true if the class being transformed is a root class: it does not inherit from another transformed class, but instead inherits from Object.

  Returns:
    true if root

### addEventHandler

    void addEventHandler(java.lang.String eventType,
                         int minContextValues,
                         java.lang.String operationDescription,
                         ComponentEventHandler handler)

  Adds an event handler. Added event handlers execute before calls to super-class event handlers, or calls to event handler methods.

  Parameters:
    `eventType` - type of event
    `minContextValues` - number of context values required to activate the handler
    `operationDescription` - Used with `OperationTracker` when invoking the handler
    `handler` - code to execute when the event matches

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.